Subject: Re: bug#66290: transmission-daemon-service-type not serving web interface

From: Clément Lassieur <[email-masked]>
Date: Wed, 29 Nov 2023 17:50:49 +0100

On Sun, Nov 26 2023, Alan Manuel Gloria wrote:

> The necessary files are in the "gui" output, with a relative path of "/share/transmission/public_html". It seems to have been fixed by Clément
> Lassieur <[email-masked]> in commit 27ec9eeceb971afe11aae4f24ceb8764f1735634 (who I CCed to this) which predates this bug report
> and my own experience, which is weird, implying that the fix has somehow gotten broken again afterwards somehow.
>
> On Sun, Nov 26, 2023 at 7:39 AM Alan Manuel Gloria <[email-masked]> wrote:
>
>  I am seeing the same thing once I updated Guix. This was not broken a year ago. Unfortunately, Guix maintainers are slow enough that
>  your best bet is to simply downgrade to a Guix commit from a year ago.

Hi, does it work if you just run `transmission-daemon -f` (and maybe you
can try `guix shell -CN transmission -- transmission-daemon -f` to be
sure the correct one is used) and browse http://localhost:9091?

Also, on which guix commit are you?

Thanks,
Clément